package com.ruoyi.board.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.github.yulichang.wrapper.MPJLambdaWrapper;
import com.ruoyi.board.domain.BoardType;
import com.ruoyi.board.domain.PlanType;
import com.ruoyi.board.domain.PresetContent;
import com.ruoyi.board.domain.dto.PresetContentDTO;
import com.ruoyi.board.mapper.PresetContentMapper;
import com.ruoyi.board.service.IPresetContentService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class PresetContentServiceImpl extends MPJBaseServiceImpl<PresetContentMapper, PresetContent> implements IPresetContentService {
    @Override
    public PresetContent getOneByContentAndBoardSize(String content, String boardSize, Integer type) {
        LambdaQueryWrapper<PresetContent> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper
                .eq(PresetContent::getContent, content)
                .eq(PresetContent::getBoardSizeType, boardSize)
                .eq(PresetContent::getInfoType, type);
        return getOne(queryWrapper);
    }

    @Override
    public List<PresetContentDTO> listDTO(PresetContent presetContent) {
        MPJLambdaWrapper<PresetContent> eq = new MPJLambdaWrapper<PresetContent>()
                .selectAll(PresetContent.class)
                .selectAs(PlanType::getTypeName, "type_name")
                .selectAs(BoardType::getName,"board_size_type_name")
                .leftJoin(PlanType.class, PlanType::getId, PresetContent::getInfoType)
                .leftJoin(BoardType.class, BoardType::getId, PresetContent::getBoardSizeType)
                .eq(presetContent.getInfoType() != null && presetContent.getInfoType() > 0, PresetContent::getInfoType, presetContent.getInfoType());
        return selectJoinList(PresetContentDTO.class, eq);
    }
}
