import request from '@/utils/request'

// 查询路段分组列表
export function listGroup(query) {
  return request({
    url: '/road/group/list',
    method: 'get',
    params: query
  })
}

// 查询路段分组详细
export function getGroup(id) {
  return request({
    url: '/road/group/' + id,
    method: 'get'
  })
}

// 新增路段分组
export function addGroup(data) {
  return request({
    url: '/road/group',
    method: 'post',
    data: data
  })
}

// 修改路段分组
export function updateGroup(data) {
  return request({
    url: '/road/group',
    method: 'put',
    data: data
  })
}

// 删除路段分组
export function delGroup(id) {
  return request({
    url: '/road/group/' + id,
    method: 'delete'
  })
}

// 查询路段分组下拉树结构
export function roadGroupTreeSelect() {
  return request({
    url: '/road/group/roadTree',
    method: 'get'
  })
}

